Name:           perl-Net-DNS-SEC
Version:        1.19
Release:        1
Summary:        An extension module of Perl(Net::DNS) package
License:        MIT
URL:            https://metacpan.org/release/Net-DNS-SEC
Source0:        http://www.net-dns.org/download//Net-DNS-SEC-%{version}.tar.gz
Patch0:         gost-rm.patch

BuildRequires:  gcc coreutils make openssl-devel => 1.1 perl-generators perl-interpreter
BuildRequires:  perl-devel perl(Config) perl(constant) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(base) perl(Carp) perl(DynaLoader)
BuildRequires:  perl(Exporter) perl(File::Spec) >= 0.86 perl(File::Spec::Functions)
BuildRequires:  perl(integer) perl(IO::File) perl(MIME::Base64) >= 2.11 perl(Net::DNS) >= 1.08
BuildRequires:  perl(Net::DNS::RR::DNSKEY) perl(Net::DNS::RR::DS) perl(Net::DNS::RR::KEY)
BuildRequires:  perl(Net::DNS::RR::RRSIG) perl(Net::DNS::RR::SIG) perl(Net::DNS::ZoneFile)
BuildRequires:  perl(File::Find) perl(Test::More) perl(Time::Local)

Requires:       perl(Net::DNS::RR::DNSKEY)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
The perl-Net-DNS-SEC package contains Net::DNS::SEC module which implements the
cryptographic signature generation and verification functions that are relevant
for DNSSEC operations. It also provides a class for handling keysets. Keysets
are administrative files used by the BIND tools for key maintenance tasks.
Net::DNS::SEC::Keyset provides an abstract interface for doing fun things with
them.

%package help
Summary:        Documents for perl-Net-DNS-SEC
BuildArch:      noarch

%description help
The perl-Net-DNS-SEC-help package contains related documents.

%prep
%autosetup -n Net-DNS-SEC-%{version} -p1
rm -f lib/Net/DNS/SEC/ECCGOST.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README demo
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/

%files help
%{_mandir}/man3/*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.19-1
- Upgrade to version 1.19

* Web 02 Jun 2021 zhaoyao<zhaoyao32@huawei.com> - 1.09-5
- fixs faileds: /bin/sh: gcc: command not found.

* Fri Feb 21 2020 Jiangping Hu <hujp1985@foxmail.com> - 1.09-4
- Package init
